> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find record by ID in data collection



## OpenAPI

````yaml /api-reference/membrane-api.json post /connections/{id}/data/{dataCollectionKey}/find-by-id
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /connections/{id}/data/{dataCollectionKey}/find-by-id:
    post:
      tags:
        - DataCollections
      summary: Find record by ID in data collection
      operationId: findDataCollectionRecordById
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: dataCollectionKey
          required: true
          in: path
          schema:
            type: string
        - name: collectionParams
          required: false
          in: query
          description: Data Collection parameters
          style: form
          explode: true
          schema:
            type: object
            additionalProperties:
              type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DataCollectionFindByIdRequestDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataCollectionFindByIdResponseDto'
components:
  schemas:
    DataCollectionFindByIdRequestDto:
      type: object
      properties:
        parameters:
          type: object
          additionalProperties:
            type: object
        id:
          type: string
        udm:
          type: string
      required:
        - id
    DataCollectionFindByIdResponseDto:
      type: object
      properties:
        record:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            uri:
              type: string
            iconUri:
              type: string
            fields:
              type: object
              additionalProperties:
                type: object
            udm:
              type: string
            unifiedFields:
              type: object
              additionalProperties:
                type: object
            rawFields:
              type: object
              additionalProperties:
                type: object
            createdTime:
              type: string
            updatedTime:
              type: string
            deletedTime:
              type: string
            createdById:
              type: string
            updatedById:
              type: string
          required:
            - id
      required:
        - record
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````